Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackFrameTimer Class Reference

A class using the JackAtomicState to manage jack time. More...

`#include <JackFrameTimer.h>`

Inheritance diagram for Jack::JackFrameTimer:

## Public Member Functions
void | InitFrameTime ()
void | ResetFrameTime (jack_time_t callback_usecs)
void | IncFrameTime (jack_nframes_t buffer_size, jack_time_t callback_usecs, jack_time_t period_usecs)
void | ReadFrameTime (JackTimer *timer)
Public Member Functions inherited from Jack::JackAtomicState< JackTimer >
JackTimer * | ReadCurrentState ()
| Returns the current state : only valid in the RT reader thread.
UInt16 | GetCurrentIndex ()
| Returns the current state index.
JackTimer * | TrySwitchState ()
| Tries to switch to the next state and returns the new current state (either the same as before if case of switch failure or the new one)
JackTimer * | TrySwitchState (bool *result)
| Tries to switch to the next state and returns the new current state (either the same as before if case of switch failure or the new one)
JackTimer * | WriteNextStateStart ()
| Start write operation : setup and returns the next state to update, check for recursive write calls.
void | WriteNextStateStop ()
| Stop write operation : make the next state ready to be used by the RT thread.
bool | IsPendingChange ()

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackAtomicState< JackTimer >
UInt32 | WriteNextStateStartAux ()
void | WriteNextStateStopAux ()
Protected Attributes inherited from Jack::JackAtomicState< JackTimer >
JackTimer | fState [2]
volatile AtomicCounter | fCounter
SInt32 | fCallWriteCounter

## Detailed Description

A class using the JackAtomicState to manage jack time.

Definition at line 79 of file JackFrameTimer.h.

The documentation for this class was generated from the following files:

- JackFrameTimer.h
- JackFrameTimer.cpp